Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tonbeller.wcf.convert
Class ConverterImpl

    java.lang.Object
      com.tonbeller.wcf.convert.ConverterImpl

All Implemented Interfaces:
  Converter

public class ConverterImpl
extends java.lang.Object
implements Converter

implements the converter

Author:
  av

Constructor Summary
`ConverterImpl()`

Method Summary
`void` | `addHandler(NodeConverter nc)`
`Formatter` | `getFormatter()` returns the formatter used for conversions.
`void` | `revert(java.lang.Object bean, org.w3c.dom.Node node)` converts bean properties to DOM element attributes
`void` | `setFormatter(Formatter formatter)` sets the formatter to use for conversions
`void` | `validate(java.util.Map params, java.util.Map fileParams, org.w3c.dom.Node node, java.lang.Object bean)` converts request parameters to DOM element attributes and bean properties

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConverterImpl

    public ConverterImpl()

Method Detail

### getFormatter

    public Formatter getFormatter()

  Description copied from interface: `Converter`
  returns the formatter used for conversions. This may be used to add new handlers for application specific data types.

  Specified by:
    `getFormatter` in interface `Converter`

### setFormatter

    public void setFormatter(Formatter formatter)

  Description copied from interface: `Converter`
  sets the formatter to use for conversions

  Specified by:
    `setFormatter` in interface `Converter`

### addHandler

    public void addHandler(NodeConverter nc)

### validate

    public void validate(java.util.Map params,
                         java.util.Map fileParams,
                         org.w3c.dom.Node node,
                         java.lang.Object bean)
                  throws ConvertException,
                         FormatException

  Description copied from interface: `Converter`
  converts request parameters to DOM element attributes and bean properties

  Specified by:
    `validate` in interface `Converter`
  Throws:
    `ConvertException`
    `FormatException`

### revert

    public void revert(java.lang.Object bean,
                       org.w3c.dom.Node node)
                throws ConvertException

  Description copied from interface: `Converter`
  converts bean properties to DOM element attributes

  Specified by:
    `revert` in interface `Converter`
  Throws:
    `ConvertException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD